# infrastructure/postgres/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: postgres-service
  namespace: postgres
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "9187"
    prometheus.io/path: "/metrics"
spec:
  clusterIP: None
  ports:
    - name: postgres
      port: 5432
      protocol: TCP
      targetPort: 5432
    - name: metrics
      port: 9187
      protocol: TCP
      targetPort: 9187
  selector:
    app: postgres
